Subject: Re: [PATCH v10 3/9] strbuf: add a case insensitive starts_with()

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 09 Mar 2018 20:06:05 +0100

On Fri, Mar 09 2018, Junio C. Hamano jotted:

> Lars Schneider <[email-masked]> writes:
>
>> I think following the boost lib makes most sense. Therefore,
>> I would like to go with "istarts_with". OK with you?
>
> I don't care too deeply; if we took starts_with() from there, where
> what we now want is defined as istarts_with(), then that sounds like
> a good thing to do.

I don't care either, but just a note that we had this exact discussion
around this time last year when I added a starts_with_icase() [1][2]
which eventually got dropped.

1. https://public-inbox.org/git/[email-masked]/
2. https://public-inbox.org/git/[email-masked]/